# Record TCefSharedProcessMessageBuilder

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefSharedProcessMessageBuilder = record`

## Description

Structure that builds a ICefProcessMessage containing a shared memory region. This structure is not thread-safe but may be used exclusively on a different thread from the one which constructed it.

NOTE: This struct is allocated DLL-side.

Implemented by ICefSharedProcessMessageBuilder.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_shared_process_message_builder_capi.h">CEF source file: /include/capi/cef_shared_process_message_builder_capi.h (cef_shared_process_message_builder_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefSharedProcessMessageBuilder): integer; stdcall;`
| `size: function(self: PCefSharedProcessMessageBuilder): NativeUInt; stdcall;`
| `memory: function(self: PCefSharedProcessMessageBuilder): pointer; stdcall;`
| `build: function(self: PCefSharedProcessMessageBuilder): PCefProcessMessage; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefSharedProcessMessageBuilder): integer; stdcall;`
This item has no description.

| `size: function(self: PCefSharedProcessMessageBuilder): NativeUInt; stdcall;`
This item has no description.

| `memory: function(self: PCefSharedProcessMessageBuilder): pointer; stdcall;`
This item has no description.

| `build: function(self: PCefSharedProcessMessageBuilder): PCefProcessMessage; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.